Package org.gradle.nativeplatform.toolchain

# Interface SwiftcPlatformToolChain

All Superinterfaces:
  `NativePlatformToolChain`

@Incubating public interface SwiftcPlatformToolChain extends NativePlatformToolChain
Swiftc specific settings for the tools used to build for a particular platform.

Since:
  4.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommandLineToolConfiguration`
  `getLinker()`
  Returns the linker tool.
  `CommandLineToolConfiguration`
  `getStaticLibArchiver()`
  Returns the settings to use for the archiver.
  `CommandLineToolConfiguration`
  `getStripper()`
  Returns the tool for stripping symbols.
  `CommandLineToolConfiguration`
  `getSwiftCompiler()`
  Returns the compiler tool.
  `CommandLineToolConfiguration`
  `getSymbolExtractor()`
  Returns the tool for extracting symbols.

  ### Methods inherited from interface org.gradle.nativeplatform.toolchain.NativePlatformToolChain

  `getPlatform`

- ## Method Details

  - ### getSwiftCompiler

    CommandLineToolConfiguration getSwiftCompiler()
    Returns the compiler tool.

  - ### getLinker

    CommandLineToolConfiguration getLinker()
    Returns the linker tool.

  - ### getStaticLibArchiver

    CommandLineToolConfiguration getStaticLibArchiver()
    Returns the settings to use for the archiver.
    Since:
      4.5

  - ### getSymbolExtractor

    CommandLineToolConfiguration getSymbolExtractor()
    Returns the tool for extracting symbols.
    Since:
      4.5

  - ### getStripper

    CommandLineToolConfiguration getStripper()
    Returns the tool for stripping symbols.
    Since:
      4.5